class __declspec(dllimport) CLBParser {
public:
  CLBParser();
  virtual ~CLBParser();
  int AddPage(char *,int,class CLRFPageObject *);
  int AddPage(struct IHTMLDocument2 *,int,class CLRFPageObject *);
  int AddPage(unsigned short const *,int,class CLRFPageObject *);
  int AffairBook();
  int CreateNewBook();
  int FinalizeBook();
  int OpenBook();
  int SetBookAuthor(unsigned short const *);
  int SetBookAuthor(char *);
  int SetBookAuthor_read(unsigned short const *);
  int SetBookAuthor_read(char *);
  int SetBookID(unsigned short const *);
  int SetBookID(char *);
  int SetBookTitle(unsigned short const *);
  int SetBookTitle(char *);
  int SetBookTitle_read(unsigned short const *);
  int SetBookTitle_read(char *);
  int SetDesignFileName(unsigned short const *);
  int SetDesignFileName(char *);
  virtual int SetDocument(char const *);
  virtual int SetDocument(unsigned short *);
  int SetLRFFileName(char *);
  int SetLRFFileName(unsigned short const *);
  int SetTocTitle(char *);
  int SetTocTitle(unsigned short const *);
  void setDivID(unsigned short const *);
  void setHTMLStartComment(unsigned short const *);
  void setHTMLEndComment(unsigned short const *);
  void setHTMLStartComment(char *);
  void setHTMLEndComment(char *);
  void setHTMLEndExceptComment(unsigned short const *);
  void setHTMLStartExceptComment(unsigned short const *);
private:
  int createCashDir();
  int removeCashDir();
  char filler[0x98];
}; //size = 0x9C

/*
public: CLRFCard::CLRFCard(class CLRFCard const &);
public: class CLRFCard & CLRFCard::operator=(class CLRFCard const &);
public: CLRFImageBlock::CLRFImageBlock(class CLRFImageBlock const &);
public: class CLRFImageBlock & CLRFImageBlock::operator=(class CLRFImageBlock const &);
public: CLRFTextBlock::CLRFTextBlock(class CLRFTextBlock const &);
public: class CLRFTextBlock & CLRFTextBlock::operator=(class CLRFTextBlock const &);
*/
